Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetPropertyGroup

    java.lang.Object
      jet.controls.JetPropertyGroup

    public class JetPropertyGroup

extends java.lang.Object

Only For Designer's Inspector(Property Group)

Constructor Summary
`JetPropertyGroup(java.lang.String name)` Constructor.
`JetPropertyGroup(java.lang.String name, java.util.Vector properties)` Constructor.

Method Summary
`void` | `addProperty(JetProperty property)` Adds the specified JetProperty to the end
`void` | `addPropertyAt(JetProperty property, int index)` Adds the specified JetProperty to the specified index.
`java.lang.String` | `getName()` get the group name
`java.util.Vector` | `getProperties()` get the JetProperty List.
`void` | `removeProperty(JetProperty property)` Removes the specified JetProperty

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JetPropertyGroup

    public JetPropertyGroup(java.lang.String name)

  Constructor. Create a JetPropertyGroup instance specified group name without properties.

  Parameters:
    `name` - : the group name

### JetPropertyGroup

    public JetPropertyGroup(java.lang.String name,
                            java.util.Vector properties)

  Constructor. Create a JetPropertyGroup instance specified group name and properties

  Parameters:
    `name` - : the group name
    `proeprties` - : a JetProperty List.

Method Detail

### addProperty

    public void addProperty(JetProperty property)

  Adds the specified JetProperty to the end

  Parameters:
    `property` - : the JetProperty to be added

### addPropertyAt

    public void addPropertyAt(JetProperty property,
                              int index)

  Adds the specified JetProperty to the specified index.

  Parameters:
    `property` - : the JetProperty to be added
    `index` - : the index.

### removeProperty

    public void removeProperty(JetProperty property)

  Removes the specified JetProperty

  Parameters:
    `property` - : the JetProperty to be removed

### getProperties

    public java.util.Vector getProperties()

  get the JetProperty List.

### getName

    public java.lang.String getName()

  get the group name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD